# The "construct" Package

These routines are meant to provide a high level mechanism to manage the construction of data. NOTE: THIS PACKAGE IS WORK IN PROGRESS. THE INTERFACE MAY CHANGE IN THE NEXT RELEASE, POSSIBLY WITHOUT NOTICE.

Library: karmagraphics
Link With: -lkarmagraphics

#### Functions

construct_array_list_algorithms | List available algorithms.
construct_array_create_manager | Create a management object for creating array data.
construct_array_destroy_manager | Destroy a management object for creating array data.
construct_array_select_algorithm | Select an algorithm for constructing data.
construct_array_change_name | Change the default output name for constructed data.
construct_array_create_data | Construct an array.

## Functions

#### EXPERIMENTAL FUNCTION: subject to change without notice

CONST char ** construct_array_list_algorithms (unsigned int *num_algorithms)

List available algorithms.

Parameters:

- num_algorithms : The number of available algorithms is written here.

Returns: A pointer to the list of algorithm names.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

KConstructArrayManager construct_array_create_manager (KListWidget listw, void (*change_name) (), void *info)

Create a management object for creating array data.

Parameters:

- listw : The list widget.
- change_name : The function to call when the default name changes.
- info : An arbitrary information pointer to pass to change_name.

Returns: A KConstructArrayManager object on success, else NULL.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void construct_array_destroy_manager (KConstructArrayManager manager)

Destroy a management object for creating array data.

Parameters:

- manager : The management object.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void construct_array_select_algorithm (KConstructArrayManager manager, unsigned int index)

Select an algorithm for constructing data.

Parameters:

- manager : The management object.
- index : The index into construct_array_algorithm_choices.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void construct_array_change_name (KConstructArrayManager manager, CONST char *name)

Change the default output name for constructed data.

Parameters:

- manager : The management object.
- name : The new default name.

Returns: Nothing.
Multithreading Level: Unsafe

#### EXPERIMENTAL FUNCTION: subject to change without notice

void construct_array_create_data (KConstructArrayManager manager, CONST char *name)

Construct an array.

Parameters:

- manager : The management object.
- name : The name to give the new array.

Returns: Nothing.
Multithreading Level: Unsafe

Back to Karma Home Page